
Figure - Bug #118272
【IOVDEV-30306】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏早上正常待机，突然重启进
入未激活引导模式，中控没有进行操作
2023-05-26 16:26 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: Won't Fix 

Description

【环境信息】EE环境

【问题出现时间】：20230525 09：04

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.副屏正常待机

【实际结果】

1.副屏重启，进入未激活的引导模式

【期望结果】

1.正常待机

【备注】：

偶现问题 第一次遇到

第156次开机

日志、视频地址：https://ofs.human-horizons.com/#/download/index/u1rTcRuPHdA%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-26 16:30 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118272/9.04%20100.7z

#2 - 2023-05-26 18:18 - CD SYSTEM-夏旭

1.请上层看一下，是否进入误调用，导致进入了recovery模式后，数据清除后，导致未激活引导模式，

./tlog_iov0201017500006162025411a2212290000000601_000156_0525090635/bk/FSEM_000155_0559_0525084627/logcat/000155_persist_00245_700101_080010.log:381:
01-01 08:00:10.873  1211  1211 I SystemServiceManager: Starting com.android.server.recoverysystem.RecoverySystemService$Lifecycle

./tlog_iov0201017500006162025411a2212290000000601_000156_0525090635/bk/FSEM_000155_0559_0525084627/logcat/000155_persist_00245_700101_080010.log:408:

01-01 08:00:10.886  1211  1211 I SystemServerTiming: OnBootPhase_100_com.android.server.recoverysystem.RecoverySystemService$Lifecycle

./tlog_iov0201017500006162025411a2212290000000601_000156_0525090635/bk/FSEM_000155_0559_0525084627/logcat/000155_persist_00246_700101_080012.log:115:

05-16 02:39:30.012  1211  1211 I SystemServerTiming: OnBootPhase_200_com.android.server.recoverysystem.RecoverySystemService$Lifecycle

./tlog_iov0201017500006162025411a2212290000000601_000156_0525090635/bk/FSEM_000155_0559_0525084627/logcat/000155_persist_00246_700101_080012.log:703:

05-16 02:39:30.449  1211  1211 I SystemServerTiming: OnBootPhase_480_com.android.server.recoverysystem.RecoverySystemService$Lifecycle

./tlog_iov0201017500006162025411a2212290000000601_000156_0525090635/bk/FSEM_000154_0558_0525082214/logcat/000154_persist_00040_230525_081355.log:1086

:05-25 08:13:57.604   813  2723 D vendor.qti.bluetooth@1.0-uart_controller: StartRecoveryStuckTimer: Stuck recovery timer started

./tlog_iov0201017500006162025411a2212290000000601_000156_0525090635/bk/FSEM_000154_0558_0525082214/logcat/000154_persist_00917_230525_075955.log:1063

:05-25 07:59:57.128   813   813 D vendor.qti.bluetooth@1.0-uart_controller: StopRecoveryStuckTimer: Stuck recovery timer Stopped

./tlog_iov0201017500006162025411a2212290000000601_000156_0525090635/bk/FSEM_000155_0559_0525084627/kernel/000155_kernel_00064_700101_080009.log:132

0:01-01 08:00:05.875     0     0 I         :  EXT4-fs (sda2): recovery complete

./tlog_iov0201017500006162025411a2212290000000601_000156_0525090635/bk/FSEM_000155_0559_0525084627/logcat/000155_persist_00240_700101_080009.log:1347

:01-01 08:00:05.875     0     0 I         : [    1.118977] EXT4-fs (sda2): recovery complete

#3 - 2023-05-26 18:19 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

Hi 覃刚：

 你们看一下，是否上层误调用导致进入recovery模式了

#4 - 2023-05-26 18:51 - CD FW-廖涛

- Category changed from BSP to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

■ Current conclusion

通过分析日志，副屏收到重启信号执行了重启，副屏没有通过中控进行激活，而是通过工厂模式跳过激活，所以重启后再次进入了激活引导界面，属于

正常现象。

重启相关日志：

05-25 09:04:01.622  2336  2520 D ProtectUartService: received uart notiy mpu to shutdown

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:71:05-25 09:04:01.649  1211  1549 D ShutdownThread: Notifying thread to start

shutdown longPressBehavior=5

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:72:05-25 09:04:01.651  1211  1549 D ShutdownThread: Attempting to use SysUI

shutdown UI

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:73:05-25 09:04:01.652  1211  1549 D ShutdownThread: SysUI handling shutdown

UI

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:79:05-25 09:04:01.662  1211  9184 I ShutdownThread: Logging pre-reboot

information...

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:82:05-25 09:04:01.664  1211  9184 I ShutdownThread: Sending shutdown

broadcast...

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:117:05-25 09:04:01.750  1211  9184 I ShutdownThread: Shutting down activity

manager...

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:293:05-25 09:04:01.989  1211  9184 I ShutdownThread: Shutting down package

manager...

2025-07-04 2/3

mailto:vendor.qti.bluetooth@1.0-uart
mailto:vendor.qti.bluetooth@1.0-uart


FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:296:05-25 09:04:01.998  1211  9197 I ShutdownThread: Waiting for Radio...

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:297:05-25 09:04:01.998  1211  9197 I ShutdownThread: Radio shutdown complete.

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:298:05-25 09:04:01.998  1211  9184 I ShutdownThread: Shutdown critical subsyslist

is :SDX55M : 

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:299:05-25 09:04:01.998  1211  9184 I ShutdownThread: Waiting for a maximum of

10000ms

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:300:05-25 09:04:01.998  1211  9184 I ShutdownThread: Vendor subsystem(s)

shutdown successful

FSEM_000156_0561_0525090427/logcat/000155_persist_00269_230525_090359.log.ing:314:05-25 09:04:02.501  1211  9184 I ShutdownThread: Performing low-level

shutdown...

■ Next action

测试确认并同步客户。

#5 - 2023-05-30 14:21 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

- Root cause set to Won't Fix 

#6 - 2023-05-30 14:21 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#7 - 2023-05-30 14:22 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED
